<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>py_arg.abstract_argumentation_classes package &mdash; PyArg  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="py_arg.aspic_classes package" href="py_arg.aspic_classes.html" />
    <link rel="prev" title="py_arg package" href="py_arg.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> PyArg
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation instructions</a></li>
<li class="toctree-l1"><a class="reference internal" href="example_usage.html">Example Usage</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">PyArg Module Overview</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="py_arg.html">py_arg package</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="py_arg.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l4 current"><a class="current reference internal" href="#">py_arg.abstract_argumentation_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html">py_arg.dynamic_aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.explanation.html">py_arg.explanation package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.html">py_arg.generators package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.labels.html">py_arg.labels package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.utils.html">py_arg.utils package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="py_arg.html#module-py_arg">Module contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PyArg</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">PyArg Module Overview</a> &raquo;</li>
          <li><a href="py_arg.html">py_arg package</a> &raquo;</li>
      <li>py_arg.abstract_argumentation_classes package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/py_arg.abstract_argumentation_classes.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="py-arg-abstract-argumentation-classes-package">
<h1>py_arg.abstract_argumentation_classes package<a class="headerlink" href="#py-arg-abstract-argumentation-classes-package" title="Permalink to this headline"></a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline"></a></h2>
</section>
<section id="module-py_arg.abstract_argumentation_classes.abstract_argumentation_framework">
<span id="py-arg-abstract-argumentation-classes-abstract-argumentation-framework-module"></span><h2>py_arg.abstract_argumentation_classes.abstract_argumentation_framework module<a class="headerlink" href="#module-py_arg.abstract_argumentation_classes.abstract_argumentation_framework" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.abstract_argumentation_classes.abstract_argumentation_framework.</span></span><span class="sig-name descname"><span class="pre">AbstractArgumentationFramework</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">arguments</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">defeats</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.defeat.Defeat" title="py_arg.abstract_argumentation_classes.defeat.Defeat"><span class="pre">py_arg.abstract_argumentation_classes.defeat.Defeat</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py property">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.arguments">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">arguments</span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.arguments" title="Permalink to this definition"></a></dt>
<dd><p>Get a list of all arguments in this argumentation framework.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>A list of all arguments in this argumentation framework.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">arg_theory</span> <span class="o">=</span> <span class="n">get_argumentation_theory</span><span class="p">()</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="o">.</span><span class="n">from_argumentation_theory</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="n">arg_theory</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">len</span><span class="p">(</span><span class="n">af</span><span class="o">.</span><span class="n">arguments</span><span class="p">)</span>
<span class="go">8</span>
</pre></div>
</div>
</dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.defeats">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">defeats</span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.defeats" title="Permalink to this definition"></a></dt>
<dd><p>Get a list of all defeats in this argumentation framework.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>A list of all defeats in this argumentation framework.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">arg_theory</span> <span class="o">=</span> <span class="n">get_argumentation_theory</span><span class="p">()</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="o">.</span><span class="n">from_argumentation_theory</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="n">arg_theory</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">len</span><span class="p">(</span><span class="n">af</span><span class="o">.</span><span class="n">defeats</span><span class="p">)</span>
<span class="go">5</span>
</pre></div>
</div>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.from_argumentation_theory">
<em class="property"><span class="pre">classmethod</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">from_argumentation_theory</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">argumentation_theory</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.argumentation_theory.ArgumentationTheory" title="py_arg.aspic_classes.argumentation_theory.ArgumentationTheory"><span class="pre">py_arg.aspic_classes.argumentation_theory.ArgumentationTheory</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">ordering</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.orderings.html#py_arg.aspic_classes.orderings.ordering.Ordering" title="py_arg.aspic_classes.orderings.ordering.Ordering"><span class="pre">py_arg.aspic_classes.orderings.ordering.Ordering</span></a><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.from_argumentation_theory" title="Permalink to this definition"></a></dt>
<dd><p>Create an abstract argumentation framework based on this argumentation theory. Note: if no ordering is given,
last link elitist ordering is chosen as default ordering.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> – The name of the argumentation framework.</p></li>
<li><p><strong>argumentation_theory</strong> – The argumentation theory from which the argumentation framework should be inferred.</p></li>
<li><p><strong>ordering</strong> – Ordering that influences which attacks are defeats. Note: default is last link elitist.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Abstract argumentation framework based on this argumentation theory.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">arg_theory</span> <span class="o">=</span> <span class="n">get_argumentation_theory</span><span class="p">()</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="o">.</span><span class="n">from_argumentation_theory</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="n">arg_theory</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">arg_for_r</span> <span class="o">=</span> <span class="n">af</span><span class="o">.</span><span class="n">get_argument</span><span class="p">(</span><span class="s1">&#39;r&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">arg_for_r</span><span class="o">.</span><span class="n">name</span>
<span class="go">&#39;r&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeaters_of_r</span> <span class="o">=</span> <span class="n">arg_for_r</span><span class="o">.</span><span class="n">get_ingoing_defeat_arguments</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">len</span><span class="p">(</span><span class="n">defeaters_of_r</span><span class="p">)</span>
<span class="go">1</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeaters_of_r</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">name</span>
<span class="go">&#39;-r&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeated_by_r</span> <span class="o">=</span> <span class="n">arg_for_r</span><span class="o">.</span><span class="n">get_ingoing_defeat_arguments</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">len</span><span class="p">(</span><span class="n">defeated_by_r</span><span class="p">)</span>
<span class="go">1</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeated_by_r</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">name</span>
<span class="go">&#39;-r&#39;</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">arg_for_not_r</span> <span class="o">=</span> <span class="n">af</span><span class="o">.</span><span class="n">get_argument</span><span class="p">(</span><span class="s1">&#39;-r&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeated_by_not_r</span> <span class="o">=</span> <span class="n">arg_for_not_r</span><span class="o">.</span><span class="n">get_outgoing_defeat_arguments</span>
<span class="gp">&gt;&gt;&gt; </span><span class="nb">len</span><span class="p">(</span><span class="n">defeated_by_not_r</span><span class="p">)</span>
<span class="go">3</span>
</pre></div>
</div>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.get_argument">
<span class="sig-name descname"><span class="pre">get_argument</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argument_name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.get_argument" title="Permalink to this definition"></a></dt>
<dd><p>Get the argument with this name (if it exists, otherwise raise ValueError).</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>argument_name</strong> – The name of the argument we try to find.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The argument with the specified name.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="p">[</span><span class="n">a</span><span class="p">],</span> <span class="p">[])</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">found_a</span> <span class="o">=</span> <span class="n">af</span><span class="o">.</span><span class="n">get_argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">==</span> <span class="n">found_a</span>
<span class="go">True</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">found_b</span> <span class="o">=</span> <span class="n">af</span><span class="o">.</span><span class="n">get_argument</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="gt">Traceback (most recent call last):</span>
    <span class="o">...</span>
<span class="gr">ValueError</span>: <span class="n">There is no argument named b.</span>
</pre></div>
</div>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.get_incoming_defeat_arguments">
<span class="sig-name descname"><span class="pre">get_incoming_defeat_arguments</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.get_incoming_defeat_arguments" title="Permalink to this definition"></a></dt>
<dd><p>Get a list of arguments that defeat this argument.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>argument</strong> – Argument for which we want to know the incoming defeating arguments.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>List of arguments that defeat this argument.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">arguments</span> <span class="o">=</span> <span class="p">[</span><span class="n">a</span><span class="p">,</span> <span class="n">b</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeats</span> <span class="o">=</span> <span class="p">[</span><span class="n">Defeat</span><span class="p">(</span><span class="n">a</span><span class="p">,</span> <span class="n">b</span><span class="p">)]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="n">arguments</span><span class="p">,</span> <span class="n">defeats</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="ow">in</span> <span class="n">af</span><span class="o">.</span><span class="n">get_incoming_defeat_arguments</span><span class="p">(</span><span class="n">a</span><span class="p">)</span>
<span class="go">False</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="ow">in</span> <span class="n">af</span><span class="o">.</span><span class="n">get_incoming_defeat_arguments</span><span class="p">(</span><span class="n">b</span><span class="p">)</span>
<span class="go">True</span>
</pre></div>
</div>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.get_outgoing_defeat_arguments">
<span class="sig-name descname"><span class="pre">get_outgoing_defeat_arguments</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.get_outgoing_defeat_arguments" title="Permalink to this definition"></a></dt>
<dd><p>Get a list of arguments that are defeated by this argument.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>argument</strong> – The argument for which we want to know the arguments it defeats.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>List of arguments that are defeated by this argument.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">arguments</span> <span class="o">=</span> <span class="p">[</span><span class="n">a</span><span class="p">,</span> <span class="n">b</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeats</span> <span class="o">=</span> <span class="p">[</span><span class="n">Defeat</span><span class="p">(</span><span class="n">a</span><span class="p">,</span> <span class="n">b</span><span class="p">)]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="n">arguments</span><span class="p">,</span> <span class="n">defeats</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="ow">in</span> <span class="n">af</span><span class="o">.</span><span class="n">get_outgoing_defeat_arguments</span><span class="p">(</span><span class="n">a</span><span class="p">)</span>
<span class="go">False</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span> <span class="ow">in</span> <span class="n">af</span><span class="o">.</span><span class="n">get_outgoing_defeat_arguments</span><span class="p">(</span><span class="n">a</span><span class="p">)</span>
<span class="go">True</span>
</pre></div>
</div>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.is_defeated">
<span class="sig-name descname"><span class="pre">is_defeated</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">bool</span></span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.is_defeated" title="Permalink to this definition"></a></dt>
<dd><p>Check if this argument is defeated by any argument.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>argument</strong> – Argument for which we want to know if it is defeated.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Boolean indicating if this argument is defeated by any argument.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">c</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;c&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">arguments</span> <span class="o">=</span> <span class="p">[</span><span class="n">a</span><span class="p">,</span> <span class="n">b</span><span class="p">,</span> <span class="n">c</span><span class="p">]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">defeats</span> <span class="o">=</span> <span class="p">[</span><span class="n">Defeat</span><span class="p">(</span><span class="n">a</span><span class="p">,</span> <span class="n">b</span><span class="p">),</span> <span class="n">Defeat</span><span class="p">(</span><span class="n">c</span><span class="p">,</span> <span class="n">c</span><span class="p">)]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="n">arguments</span><span class="p">,</span> <span class="n">defeats</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span><span class="o">.</span><span class="n">is_defeated</span><span class="p">(</span><span class="n">a</span><span class="p">)</span>
<span class="go">False</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span><span class="o">.</span><span class="n">is_defeated</span><span class="p">(</span><span class="n">b</span><span class="p">)</span>
<span class="go">True</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span><span class="o">.</span><span class="n">is_defeated</span><span class="p">(</span><span class="n">c</span><span class="p">)</span>
<span class="go">True</span>
</pre></div>
</div>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.is_in_arguments">
<span class="sig-name descname"><span class="pre">is_in_arguments</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">argument_name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">bool</span></span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.abstract_argumentation_framework.AbstractArgumentationFramework.is_in_arguments" title="Permalink to this definition"></a></dt>
<dd><p>Check if an argument with this name is part of the argumentation framework’s arguments.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>argument_name</strong> – The name of the argument we try to find.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Boolean indicating if there is an argument with this name in the argumentation framework.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span> <span class="o">=</span> <span class="n">AbstractArgumentationFramework</span><span class="p">(</span><span class="s1">&#39;af&#39;</span><span class="p">,</span> <span class="p">[</span><span class="n">a</span><span class="p">],</span> <span class="p">[])</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span><span class="o">.</span><span class="n">is_in_arguments</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="go">True</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span><span class="o">.</span><span class="n">is_in_arguments</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="go">False</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">af</span><span class="o">.</span><span class="n">is_in_arguments</span><span class="p">(</span><span class="s1">&#39;c&#39;</span><span class="p">)</span>
<span class="go">False</span>
</pre></div>
</div>
</dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.abstract_argumentation_classes.argument">
<span id="py-arg-abstract-argumentation-classes-argument-module"></span><h2>py_arg.abstract_argumentation_classes.argument module<a class="headerlink" href="#module-py_arg.abstract_argumentation_classes.argument" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument.Argument">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.abstract_argumentation_classes.argument.</span></span><span class="sig-name descname"><span class="pre">Argument</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument.Argument.add_ingoing_defeat">
<span class="sig-name descname"><span class="pre">add_ingoing_defeat</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">other</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument.Argument.add_ingoing_defeat" title="Permalink to this definition"></a></dt>
<dd><p>Add ingoing defeat from the other argument. NOTE: does not add an outgoing defeat from other to this argument!</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>other</strong> – The argument defeating this argument.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument.Argument.add_outgoing_defeat">
<span class="sig-name descname"><span class="pre">add_outgoing_defeat</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">other</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument.Argument.add_outgoing_defeat" title="Permalink to this definition"></a></dt>
<dd><p>Add outgoing defeat to the other argument. NOTE: does not add an ingoing defeat to the other argument!</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>other</strong> – The argument defeated by this argument.</p>
</dd>
</dl>
</dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument.Argument.get_ingoing_defeat_arguments">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">get_ingoing_defeat_arguments</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span></em><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument.Argument.get_ingoing_defeat_arguments" title="Permalink to this definition"></a></dt>
<dd><p>Get all arguments that defeat this argument.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Arguments defeating this argument.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">c</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;c&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span><span class="o">.</span><span class="n">add_ingoing_defeat</span><span class="p">(</span><span class="n">b</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span><span class="o">.</span><span class="n">add_ingoing_defeat</span><span class="p">(</span><span class="n">c</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span><span class="o">.</span><span class="n">get_ingoing_defeat_arguments</span>
<span class="go">[b, c]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span><span class="o">.</span><span class="n">add_outgoing_defeat</span><span class="p">(</span><span class="n">c</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">c</span><span class="o">.</span><span class="n">get_ingoing_defeat_arguments</span>
<span class="go">[]</span>
</pre></div>
</div>
</dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument.Argument.get_outgoing_defeat_arguments">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">get_outgoing_defeat_arguments</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span></em><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument.Argument.get_outgoing_defeat_arguments" title="Permalink to this definition"></a></dt>
<dd><p>Get all arguments that are defeated by this argument.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Arguments defeated by this argument.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">a</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;a&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;b&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">c</span> <span class="o">=</span> <span class="n">Argument</span><span class="p">(</span><span class="s1">&#39;c&#39;</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span><span class="o">.</span><span class="n">add_outgoing_defeat</span><span class="p">(</span><span class="n">b</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span><span class="o">.</span><span class="n">add_outgoing_defeat</span><span class="p">(</span><span class="n">c</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">a</span><span class="o">.</span><span class="n">get_outgoing_defeat_arguments</span>
<span class="go">[b, c]</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">b</span><span class="o">.</span><span class="n">add_ingoing_defeat</span><span class="p">(</span><span class="n">c</span><span class="p">)</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">c</span><span class="o">.</span><span class="n">get_outgoing_defeat_arguments</span>
<span class="go">[]</span>
</pre></div>
</div>
</dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework">
<span id="py-arg-abstract-argumentation-classes-argument-incomplete-argumentation-framework-module"></span><h2>py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework module<a class="headerlink" href="#module-py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.</span></span><span class="sig-name descname"><span class="pre">ArgumentIncompleteArgumentationFramework</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">arguments</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">uncertain_arguments</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">defeats</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.defeat.Defeat" title="py_arg.abstract_argumentation_classes.defeat.Defeat"><span class="pre">py_arg.abstract_argumentation_classes.defeat.Defeat</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py property">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.arguments">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">arguments</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span></em><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.arguments" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.from_potential_argumentation_theory">
<em class="property"><span class="pre">classmethod</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">from_potential_argumentation_theory</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">potential_argumentation_theory</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory" title="py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory"><span class="pre">py_arg.dynamic_aspic_classes.potential_argumentation_theory.PotentialArgumentationTheory</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">ordering</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="py_arg.aspic_classes.orderings.html#py_arg.aspic_classes.orderings.ordering.Ordering" title="py_arg.aspic_classes.orderings.ordering.Ordering"><span class="pre">py_arg.aspic_classes.orderings.ordering.Ordering</span></a><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.from_potential_argumentation_theory" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.get_necessary_grounded_extension">
<span class="sig-name descname"><span class="pre">get_necessary_grounded_extension</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.get_necessary_grounded_extension" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.get_possible_grounded_extension">
<span class="sig-name descname"><span class="pre">get_possible_grounded_extension</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">Set</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span></span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.get_possible_grounded_extension" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py property">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.uncertain_arguments">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">uncertain_arguments</span></span><em class="property"><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="pre">Dict</span><span class="p"><span class="pre">[</span></span><span class="pre">str</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span></em><a class="headerlink" href="#py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework.ArgumentIncompleteArgumentationFramework.uncertain_arguments" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.abstract_argumentation_classes.defeat">
<span id="py-arg-abstract-argumentation-classes-defeat-module"></span><h2>py_arg.abstract_argumentation_classes.defeat module<a class="headerlink" href="#module-py_arg.abstract_argumentation_classes.defeat" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.defeat.Defeat">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.abstract_argumentation_classes.defeat.</span></span><span class="sig-name descname"><span class="pre">Defeat</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">from_argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em>, <em class="sig-param"><span class="n"><span class="pre">to_argument</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.defeat.Defeat" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
</dd></dl>

</section>
<section id="module-py_arg.abstract_argumentation_classes.structured_argumentation_framework">
<span id="py-arg-abstract-argumentation-classes-structured-argumentation-framework-module"></span><h2>py_arg.abstract_argumentation_classes.structured_argumentation_framework module<a class="headerlink" href="#module-py_arg.abstract_argumentation_classes.structured_argumentation_framework" title="Permalink to this headline"></a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.structured_argumentation_framework.StructuredArgumentationFramework">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">py_arg.abstract_argumentation_classes.structured_argumentation_framework.</span></span><span class="sig-name descname"><span class="pre">StructuredArgumentationFramework</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">''</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">arguments</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">attacks</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">argument_preference_relation</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Optional</span><span class="p"><span class="pre">[</span></span><span class="pre">List</span><span class="p"><span class="pre">[</span></span><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">,</span></span><span class="w"> </span><a class="reference internal" href="#py_arg.abstract_argumentation_classes.argument.Argument" title="py_arg.abstract_argumentation_classes.argument.Argument"><span class="pre">py_arg.abstract_argumentation_classes.argument.Argument</span></a><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">]</span></span></span><span class="w"> </span><span class="o"><span class="pre">=</span></span><span class="w"> </span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.structured_argumentation_framework.StructuredArgumentationFramework" title="Permalink to this definition"></a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="py_arg.abstract_argumentation_classes.structured_argumentation_framework.StructuredArgumentationFramework.from_argumentation_theory">
<em class="property"><span class="pre">classmethod</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">from_argumentation_theory</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">str</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">argumentation_theory</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference internal" href="py_arg.aspic_classes.html#py_arg.aspic_classes.argumentation_theory.ArgumentationTheory" title="py_arg.aspic_classes.argumentation_theory.ArgumentationTheory"><span class="pre">py_arg.aspic_classes.argumentation_theory.ArgumentationTheory</span></a></span></em><span class="sig-paren">)</span><a class="headerlink" href="#py_arg.abstract_argumentation_classes.structured_argumentation_framework.StructuredArgumentationFramework.from_argumentation_theory" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</dd></dl>

</section>
<section id="module-py_arg.abstract_argumentation_classes">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-py_arg.abstract_argumentation_classes" title="Permalink to this headline"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="py_arg.html" class="btn btn-neutral float-left" title="py_arg package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="py_arg.aspic_classes.html" class="btn btn-neutral float-right" title="py_arg.aspic_classes package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, AnneMarie Borg and Daphne Odekerken.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>